#include <cilk.h>
#include <stdio.h>
#include <limits.h>

#ifndef _FILEIO_H
#define _FILEIO_H

#if CILK_FILEIO

/***********************************************************\
 * File-pointer-less files
\***********************************************************/

/*
 * Maximum number of Cilk files that can be open at any time.
 */
#define CILK_MAX_FILES OPEN_MAX

int Cilk_open(const char *path, int flags, ... /* int mode */ );
int Cilk_close(int cilk_fd);
int Cilk_read(int cilk_fd, void *buf, size_t len);
int Cilk_write(int cilk_fd, void *buf, size_t len);
off_t Cilk_lseek(int cilk_fd, off_t offset, int whence);

#endif				/* CILK_FILEIO */

#endif				/* _FILEIO_H */
